### Method

# Gio Subprocess wait

since: 2.40

#### Declaration [src]

    gboolean
    g_subprocess_wait (
      GSubprocess* subprocess,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously wait for the subprocess to terminate.

After the process terminates you can query its exit status with functions such as `g_subprocess_get_if_exited()` and g_subprocess_get_exit_status().

This function does not fail in the case of the subprocess having abnormal termination. See `g_subprocess_wait_check()` for that.

Cancelling `cancellable` doesn’t kill the subprocess. Call `g_subprocess_force_exit()` if it is desirable.

Available since: 2.40

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if `cancellable` was cancelled.